# Uses of Class
java.lang.ThreadLocal

Packages that use ThreadLocal
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of ThreadLocal in java.lang

Subclasses of ThreadLocal in java.lang
Modifier and Type
Class
Description
`class`
`InheritableThreadLocal<T>`
This class extends `ThreadLocal` to provide inheritance of values from parent thread to child thread: when a child thread is created, the child receives initial values for all inheritable thread-local variables for which the parent has values.
Methods in java.lang that return ThreadLocal
Modifier and Type
Method
Description
`static <S> ThreadLocal<S>`
ThreadLocal.`withInitial(Supplier<? extends S> supplier)`
Creates a thread local variable.